#ifndef SPELLS_H
#define SPELLS_H

#include <vector>
#include "timer.h"

enum ESpells
{
    eSpell_MagicTorch,
    eSpell_Light,
    eSpell_Darkness,
    eSpell_Count
};

class CSpell
{
public:
    int     getPower();
    void    save(FILE* handle);
    void    load(FILE* handle);

    ESpells spell;
    int     power;
    CTimer  time;
    int     decreaseTime;
};

class CSpells
{
public:
    CSpells();

    void    cast(int champion);
    void    update();
    int     getMana(int champion, char symbol);
    void    save(FILE* handle);
    void    load(FILE* handle);

    std::vector<CSpell>    mActiveSpells;
};

extern CSpells  spells;

#endif // SPELLS_H
